#
# Cookbook Name:: apt
# Recipe:: default
#
# Copyright 2008-2009, Opscode, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

execute "apt-get update" do
  action :nothing
end

node.grafana.sources.repourl = Grafana::GenericHelpers::packages_repo_url(node)

if node["platform"] == "debian" then
	if node["platform_version"].start_with? "6" then
		source_repo = "sources.list.squeeze.erb"
		source = "i6-squeeze.list.erb"
	else	
		if node["platform_version"].start_with? "8" then
			if node.grafana.repo_pack_debian_8_url == nil then
				source_repo = "sources.list.jessie.empty.erb"
			else
				if node.grafana.repo_pack_debian_8_url == "" then
					source_repo = "sources.list.jessie.empty.erb"
				else
					source_repo = "sources.list.jessie.erb"
				end
			end
			source = "i6-jessie.list.erb"
		end
	end
else
	if node["platform"] == "ubuntu" then	
		if node.grafana.repo_pack_ubuntu_bionic_url == nil then
			source_repo = "sources.list.ubuntu.bionic.empty.erb"
		else
			if node.grafana.repo_pack_ubuntu_bionic_url == "" then
				source_repo = "sources.list.ubuntu.bionic.empty.erb"
			else
				source_repo = "sources.list.ubuntu.bionic.erb"
			end
		end
		source = "i6-ubuntu.bionic.list.erb"
	else
		source = "i6.list.erb"
		source_repo = "sources.list.jessie.empty.erb"
	end
end

if not File.exists?("/etc/apt/sources.list.d/inconcert6.list") then
	template "/etc/apt/sources.list" do
	  source source_repo
	  owner  "root"
	  group  "root"
	  mode   "0644"
	  notifies :run, resources(:execute => "apt-get update"), :immediately
	end
end

template "/etc/apt/sources.list.d/inconcert_grafana.list" do
  source source
  owner  "root"
  group  "root"
  mode   "0644"
  notifies :run, resources(:execute => "apt-get update"), :immediately
end





