#
# Recipes para un nodo de Asterisk para tests
#

#  Configures attributes from databags
# (IB) este paseo es necesario o no aprendi nada de Chef??

bag = data_bag_item( "asterisk_test", "default" )

node.override["asterisk"] = node.asterisk.deep_merge(bag.to_hash)

bash "reload sip configuration" do
	code 'asterisk -x "sip reload"'
	action :nothing
end

bash "reload extensions configuration" do
	code 'asterisk -x "dialplan reload"'
	action :nothing
end

# (IB) si se precisa, convertir esto a un template tambien y armarlo desde un databag
cookbook_file "/etc/asterisk/extensions.conf" do
  source "test/extensions.conf"
  owner "root"
  mode "0644"
  notifies :run, resources(:bash => "reload extensions configuration"), :immediately
end

template "/etc/asterisk/sip.conf" do
	source "test/sip.conf.erb"
	action :create
	notifies :run, resources(:bash => "reload sip configuration"), :immediately
end
