
node.default["cassandra"] = {
  "version"                             => "1.2.19",
  "cluster_name"                        => "Cassandra Cluster",
  "initial_token"                       => nil,
  "num_tokens"                          => 256,
  "endpoint_snitch"						=> "SimpleSnitch",
  "max_hint_window"						=> 0, 
  "listen_address"                      => node.ipaddress,
  "rpc_address"                         => "0.0.0.0",
  "rpc_port"                            => "9160",
  "rpc_server_type"                     => "sync",
  "rpc_min_threads"                     => 16,
  "rpc_max_threads"                     => 4096,
  "thrift_framed_transport_size_in_mb"  => 15,
  "thrift_max_message_length_in_mb"     => 16,
  "max_heap_size"                       => nil,
  "heap_new_size"                       => nil,
  "jmx_port"                            => "7199",
  "rmi_hostname"                        => node.hostname, 
  "data_file_directories"               => ["/var/lib/cassandra/data"], 
  "commitlog_directory"                 => "/var/lib/cassandra/commitlog",
  "lib_path"                            => "/var/lib/cassandra/lib",
  "partitioner"                         => "org.apache.cassandra.dht.Murmur3Partitioner",
  "ring"  => [
    { 
      "id"              =>  "node1" ,
      "rpc_address"     =>  node.ipaddress,
      "listen_address"  =>  node.ipaddress,
	  "datacenter"		=> "DC1",
	  "broadcast_address"	=> nil
    }      
  ],
  "replication_factor" => 1,
  # This is a map of maps. First level key is keyspace, rest is options and values.
  # Should be provided by specific roles or other cookbooks (your own cluster for example).
  "keyspaces" => {}
}

