local json = require("cjson")
require "lua_cassandra"

local cassandraIP = os.getenv("CASSANDRA_IP")
local cassandraPort = tonumber(os.getenv("CASSANDRA_PORT"))

lua_cassandra.seed(cassandraIP, cassandraPort)
local AgentKS = lua_cassandra:CassandraConnection("Agent")

local row_block_size =  1000
local startkey = ""
local cantHotfixes = 0
local ranges = AgentKS:GetRangeSlices("Hotfixes", "", startkey, "", {
        column_names = {}, slice_range = {
                                                                                start =  "",
                                                                                finish =  "",
                                                                                reversed =  false,
                                                                                count =  5000
                                                                        }
                                                        },
                                                5000 --total keys
                                                );


local fileHost = io.open("/host.txt")
local hostName = fileHost:read()
local any = false
for id, columns in ranges:Iterator() do
        local isHostReg = false
        local printReg= "HotfixID: " .. id .. "\n"
        for _, column in pairs(columns) do
                printReg = printReg .. "Name: " .. column.name .. " -- Value: " .. column.value .. "\n"
                if column.name == "hostName" and column.value == hostName then
                        isHostReg = true
                end
        end
        if isHostReg then
                print(printReg)
        end
end