
# 
#  Configures attributes from databags
#

cluster_id  = if node.cassandra.attribute? "cluster_id" then
                node.cassandra.cluster_id
              else 
                "default"
              end

cls = data_bag_item( "cassandra_clusters", cluster_id )


if cls then

  nd = (cls["ring"] || []).select { |n| n["id"] == node.hostname }[0]

  if nd then 

    # lift node properties from ring to chef node.
    merged = (cls.to_hash).merge({ 
      "listen_address"        => nd["listen_address"],
      "rpc_address"           => nd["rpc_address"],
      "initial_token"         => nd["initial_token"],
      "data_file_directories" => nd['data_file_directories'],
      "commitlog_directory"   => nd['commitlog_directory'],
	  "lib_path"              => nd["lib_path"],
	  "datacenter"            => nd["datacenter"],
	  "broadcast_address"     => nd["broadcast_address"] 
    })

  else
    merged = {}
  end

  node.override[ "cassandra" ] = node.cassandra.deep_merge(merged)

end
