include_recipe "nginx::default"

package "libssl-dev"
#
# make helper methods available inside bash script resources.
#
class Erubis::Context
  include Inconcert::GenericHelpers
  include Inconcert::ServiceHelpers
end

if not File.exists?("/opt/nginx/sites/i6host.conf") then
	cookbook_file "#{node.nginx.prefix}/ssl/server.key" do
	  source "server.key"
	  mode "0644"
	  notifies :run, "bash[reload nginx]"
	end

	cookbook_file "#{node.nginx.prefix}/ssl/server.pem" do
	  source "server.pem"
	  mode "0644"
	  notifies :run, "bash[reload nginx]"
	end

	cookbook_file "#{node.nginx.prefix}/html/genericAvatar.png" do
	  source "genericAvatar.png"
	  mode "0644"
	  notifies :run, "bash[reload nginx]"
	end
end

if File.exists?("/opt/nginx/sites/i6host.conf") then
	template "/opt/nginx/sites/monitorhost.conf" do
	  source "monitorhost.conf_with_i6.erb"
	  owner "root"
	  group "root"
	  mode 0644
	  notifies :run, "bash[reload nginx]"
	end
else
	template "/opt/nginx/sites/monitorhost.conf" do
	  source "monitorhost.conf_alone.erb"
	  owner "root"
	  group "root"
	  mode 0644
	  notifies :run, "bash[reload nginx]"
	end
end

