local json = require("cjson")
require "lua_cassandra"

local cassandraIP = os.getenv("CASSANDRA_IP")
local cassandraPort = tonumber(os.getenv("CASSANDRA_PORT"))
print ( lua_cassandra.seed(cassandraIP, cassandraPort))
local AgentKS = lua_cassandra:CassandraConnection("Agent")

-- Obtengo el databag praa sacar los hostnames
local fullPath = "/etc/inconcert/chef/data_bags/inconcert_clusters/default.json"
local f = io.open(fullPath, "r")
local inconcertConfig
if f then
	local inconcertConfigtxt = f:read("*all")
	f:close()
	--print(inconcertConfigtxt)
	inconcertConfig = json.decode(inconcertConfigtxt)
	--print(json.encode(inconcertConfig.nodes))
end

		
local row_block_size =  1000
local startkey = ""
local cantHotfixes = 0
local ranges = AgentKS:GetRangeSlices("Hotfixes", "", startkey, "", {
        column_names = {}, slice_range = {
					start =  "",
					finish =  "",
					reversed =  false,
					count =  5000
				}
			},
		5000 --total keys
		);
local any = false
for id, columns in ranges:Iterator() do
        --print ("HotfixID: " .. id)
		local hf_hostname, hf_Description, hf_timeStamp, hf_HotfixId, hf_InstallHistory
        for _, column in pairs(columns) do
			--print("name: " .. column.name .. " - column.value:" .. column.value)
			if column.name== "hostName" then
				hf_hostname = column.value
			end
			if column.name== "Description" then
				hf_Description = column.value
			end
			if column.name== "timeStamp" then
				hf_timeStamp = column.value
			end
			if column.name== "HotfixId" then
				hf_HotfixId = column.value
			end
			if column.name== "InstallHistory" then
				hf_InstallHistory = column.value
			end
			
        end
		if hf_HotfixId then 
			--Valido si el postfijo del ID corresponde al nombre de alguno de los host del ambiente. Sino es asi los creo
			local actualizarHF = false
			--print("hf_hostname: " .. hf_hostname)
			local len_hostname = string.len(hf_hostname)
			local len_id  = string.len(id)
			local lastStringID = string.sub(id,len_id-len_hostname+1)
			if lastStringID == hf_hostname then
				-- YA ESTA APLICADO EL PARCHE
				-- print("YA ESTA APLICADO EL HF")
			elseif inconcertConfig then
				print("PATCH HotfixID :" .. id)
				for _, node in pairs(inconcertConfig.nodes) do
					--print(node.id)
					local new_hf_id = id .. "_" .. node.id
					--print("new_hf_id : " .. new_hf_id)
					AgentKS:InsertColumn(new_hf_id, "Hotfixes", "HotfixId", hf_HotfixId)
					AgentKS:InsertColumn(new_hf_id, "Hotfixes", "Description", hf_Description)
					AgentKS:InsertColumn(new_hf_id, "Hotfixes", "timeStamp", hf_timeStamp)
					AgentKS:InsertColumn(new_hf_id, "Hotfixes", "hostName", node.id)
					if hf_InstallHistory then
						AgentKS:InsertColumn(new_hf_id, "Hotfixes", "InstallHistory", hf_InstallHistory)
					end
				end
				AgentKS:RemoveColumn(id, "Hotfixes")
			end
		end
end
