
local args = require('pl.lapp') [[

i6 New User parameters generation:
  -H,--hotfixId  (string) 
]]

local json = require("cjson")
require "lua_cassandra"

local timeStamp = os.date("%Y-%m-%d %H:%M:%S");

local cassandraIP = os.getenv("CASSANDRA_IP")
local cassandraPort = tonumber(os.getenv("CASSANDRA_PORT"))
lua_cassandra.seed(cassandraIP, cassandraPort)
local AgentKS = lua_cassandra:CassandraConnection("Agent")
local hotfixConfigFile = args.hotfixId .. ".conf"

local hostnameFile = "host.txt"
local f = io.open(hotfixConfigFile, "r")
local fh = io.open(hostnameFile,"r")

if f then
	local hotfixConfig = f:read("*all")
	local hostname = string.gsub(fh:read("*all"), "\n", "")
	local hostfix_id = args.hotfixId.."_"..hostname
	hotfixConfigjson = json.decode(hotfixConfig)
	-- Obtengo los datos anteriores para mantener el historico de instalaciones
	local hostfix_installHist
	local hfData = AgentKS:GetSliceRange(
		hostfix_id,
		"Hotfixes",
		"",
		{
			column_names = {},
			slice_range = {
				start = "",
				finish = "",
				reversed = true,
				count = 2000
			}
		}
	)
		local user = {}
	if hfData then
		for k, v in ipairs(hfData) do
			local column_name = v.name
			if column_name == "InstallHistory" then
				hostfix_installHist = json.decode(v.value)
			end
		end
	end
	hostfix_installHist = hostfix_installHist or {}
	table.insert (hostfix_installHist, timeStamp )
	--
	AgentKS:InsertColumn(hostfix_id, "Hotfixes", "HotfixId", args.hotfixId)
	AgentKS:InsertColumn(hostfix_id, "Hotfixes", "Description", hotfixConfigjson.description)
	AgentKS:InsertColumn(hostfix_id, "Hotfixes", "timeStamp", timeStamp)
	AgentKS:InsertColumn(hostfix_id, "Hotfixes", "hostName", hostname)
	AgentKS:InsertColumn(hostfix_id, "Hotfixes", "InstallHistory", json.encode(hostfix_installHist))
	print "Success insert cassandra row!"
else
	print "ERROR falta archivo de configuracion"
end
