
#
#  Esto asume instalación en un solo nodo, con una sola NIC y una sola ip que es publica.
#
#  REMEMBER : this are defaults. They get overriden in order in:
#
#   roles,
#   nodes,
#   and in some recipes. ( i6::clusterconfig toma cosas de un data_bag )
#

node.default["inconcert"] = {

  "virtual_name"                        => "i6.inconcertcc.com",
  "virtual_ip"                          => node.ipaddress,
  "leader_node"                         => true,
  "no_cassandra"                        => false,
  "cluster_id"                          => "inConcert6",
  "nic"                                 => node.network.default_interface,
  "timeserver_port"                     => 8463,
  "config_ip"                           => node.ipaddress,
  "config_port"                         => 18082,
  "cassandra_ip"                        => node.ipaddress,
  "cassandra_port"                      => 9160,
  "consistency_level"                   => "QUORUM",
  "redis_ip"                            => node.ipaddress,
  "redis_port"                          => 6377,
  "redis_agent_ip"                      => node.ipaddress,
  "redis_agent_port"                    => 26377,
  "public_ip"                           => node.ipaddress,
  "private_ip"                          => node.ipaddress,
  "webchat_public_port"                 => "8994",
  "agent_chat_gateway_listen_port"      => "9005",
  "agent_poller_public_port"            => "9006",
  "facebook_public_host"                => node.ipaddress,
  "facebook_webhooks_proxy"             => "icrouterwebhook.inconcertcc.com",
  "facebook_public_port"                => "443",
  "facebook_public_host_ssl"            => true,
  "facebook_app_id"                     => nil,
  "facebook_app_secret"                 => nil,
  "facebook_data_path"                  => "/etc/inconcert/facebookdata.txt",
  "instagram_public_host"               => node.ipaddress,
  "instagram_webhooks_proxy"            => "icrouterwebhook.inconcertcc.com",
  "instagram_public_port"               => "443",
  "instagram_public_host_ssl"           => true,
  "instagram_app_id"                    => nil,
  "instagram_app_secret"                => nil,
  "instagram_data_path"                 => "/etc/inconcert/instagramdata.txt",
  "whatsapp_public_host"                => node.ipaddress,
  "whatsapp_webhooks_proxy"             => "icrouterwebhook.inconcertcc.com",
  "whatsapp_public_port"                => "443",
  "whatsapp_public_host_ssl"            => true,
  "whatsapp_smooch_key"                 => nil,
  "whatsapp_smooch_secret"              => nil,
  "whatsapp_icc_cloud_api_client_id"    => nil,
  "whatsapp_icc_cloud_api_app_secret"   => nil,
  "whatsapp_icc_cloud_api_webhook"      => nil,
  "whatsapp_icc_cloud_api_icc_business_id"      => nil,
  "whatsapp_icc_cloud_api_system_user_token" => nil,
  "youtube_webhooks_proxy"              => "icrouterwebhook.inconcertcc.com",
  "youtube_app_id"                      => nil,
  "youtube_app_secret"                  => nil,
  "youtube_data_path"                   => "/etc/inconcert/youtubedata.txt",
  "gmail_webhooks_proxy"                => "icrouterwebhook.inconcertcc.com",
  "office365_webhooks_proxy"            => "icrouterwebhook.inconcertcc.com",
  "office365_client_secret"             => "wKwy-_U2gq4--X5iIIiJ190p81-2-XYuho",
  "office365_client_id"                 => "53393ae4-5ffb-4714-a75a-439cd117ca11",
  "office365_tenant"                    => "common",
  "googleplay_webhooks_proxy"           => "icrouterwebhook.inconcertcc.com",
  "googleplay_data_path"                => "/etc/inconcert/googleplaydata.txt",
  "appstore_webhooks_proxy"             => "icrouterwebhook.inconcertcc.com",
  "appstore_data_path"                  => "/etc/inconcert/appstoredata.txt",
  "rcs_public_host"                     => node.ipaddress,
  "rcs_webhooks_proxy"                  => "icrouterwebhook.inconcertcc.com",
  "rcs_public_port"                     => "443",
  "rcs_public_host_ssl"                 => true,
  "rcs_data_path"                       => "/etc/inconcert/youtubedata.txt",
  "twitter_webhooks_proxy"              => "icrouterwebhook.inconcertcc.com", 
  "twitter_public_host"                 => node.ipaddress,
  "twitter_subscription"                => "enterprise",
  "twitter_env_name"                    => "prod",
  "twitter_webhook_id"                  => "1502357688184889354",
  "twitter_public_port"                 => "443",
  "twitter_public_host_ssl"             => true,
  "twitter_data_path"                   => "/etc/inconcert/twitterdata.txt",
  "twitter_consumer_key"                => nil,
  "twitter_consumer_secret"             => nil,
  "elasticsearch_ip"                    => node.ipaddress,
  "elasticsearch_port"                  => 9230,
  "elasticsearch_dialer_ip"             => node.ipaddress,
  "elasticsearch_dialer_port"           => 9230,
  "elasticsearch_dialer_nodes"          => [],
  "exclude_nodes_cassandra"             => "",
  "repo_pack_debian_8_url"              => "",
  "x_rasa_version"                      => "3800", #0.38.0
  "grafana_ip"                          => node.ipaddress,
  "angular_develop_port"                => nil,
  "nodes" => [
    {
      "id"          => "node0",
      "public_ip"   => node.ipaddress,
      "private_ip"  => node.ipaddress,
      "type"        => "monitor"
    },
    {
      "id"          => "node1",
      "public_ip"   => node.ipaddress,
      "private_ip"  => node.ipaddress,
      "type"        => "app"
    }
  ],
  
  "allegro_nodes" => [],

  "packages" => {
    "inconcert"    => "*",
    "icc_rocks"    => "*",
    "tweety"       => "*",
    "icc_asterisk" => "*"
  },

  "dependencies" => {
    #"java" => "default-jdk"
    "java" => "jdk-7-icc"
  },

  "services"  => [

    { "name"  => "webhandler", "type" => "app", "port" => "8082", "subdomain" => "", "upload"  => "64m", "spellchecker" => true, "webdesigner" => true, "fbproxy" => true, "instagramproxy" => true, "rcsproxy" => true, "smsproxy" => true, "whatsappproxy" => true, "reports" => true, "repair_job" => true, "monitoring" => true, "allegro_repository" => true, "outbound_engine" => true, "outbound_engine_blacklist" => true, "provisioning" => true, "import_users" => true, "administration_campaigns" => true, "apps_integrations" => true, "reports_schedules_execute" => true, "administration_shared_files" => true, "administration_audits" => true,"administration_rasa_train" => true, "filesharing" => true, "allegrowebhandler" => true, "force_toplevel" => true, "max_fails" => "0" },

  { "name"  => "webhandlerFiles", "type" => "app", "port" => "8082", "nonstick" => true, "max_fails" => "0"  },
    
  { "name"  => "agent_chat_gateway", "type" => "app", "port" => "9005", "subdomain" => "chat", "comet" => true, "connect_timeout" => 10, "read_timeout" => 20, "keepalive" => "512"   },

    { "name"  => "agent_poller", "type" => "app", "port" => "9006",  "subdomain" => "poller", "comet" => true,  "nonstick" => true, "read_timeout" => 25, "keepalive" => "512"  },

    { "name"  => "spellchecker", "type" => "app", "port" => "9009", "nonstick" => true  },

    { "name"  => "fbproxy", "type" => "app", "port" => "9001", "nonstick" => true  },

    { "name"  => "instagramproxy", "type" => "app", "port" => "9019", "nonstick" => true  },

    { "name"  => "whatsappproxy", "type" => "app", "port" => "9021", "nonstick" => true  },

    { "name"  => "rcsproxy", "type" => "app", "port" => "9026", "nonstick" => true  },
  
  { "name"  => "twitterproxy", "type" => "app", "port" => "9018", "nonstick" => true  },

    { "name"  => "smsproxy", "type" => "app", "port" => "9015", "nonstick" => true, "max_fails" => "0"  },

    { "name"  => "web_chat", "type" => "app", "port" => "9010",   "subdomain" => "webchat", "keepalive" => "512", "nonstick" => true, "max_fails" => "0"   },

    { "name"  => "analytics", "type" => "app", "port" => "23082",  "subdomain" => "analytics" },

    { "name"  => "tweety", "type" => "app", "port" => "23182", "subdomain" => "webdesigner", "upload"  => "64m"  },
  
  { "name"  => "tweetyFiles", "type" => "app", "port" => "23182", "nonstick" => true  },

    { "name"  => "track-me", "type" => "app", "port" => "9008", "subdomain" => "trackme" },

    { "name"  => "webcontactproxy", "type" => "app", "port" => "9011", "subdomain" => "webcontact", "nonstick" => true, "webdesigner" => true },
    
    { "name"  => "filesharing", "type" => "app", "port" => "9007" },

    { "name"  => "livemonitor", "type" => "monitor", "port" => "22082",  "subdomain" => "livemonitor" },

    { "name"  => "allegrowebhandler", "type" => "allegro", "max_fails" => "0" },

    { "name"  => "allegroscreenstreaming", "type" => "allegro", "nonstick" => true, "max_fails" => "0" },
  
  { "name"  => "agentscreenservice", "type" => "app", "port" => "9032", "subdomain" => "agentscreenservice", "nonstick" => true, "max_fails" => "0" },

	{ "name"  => "agentmonitorservice", "type" => "app", "port" => "9034", "subdomain" => "agentmonitorservice", "nonstick" => true, "max_fails" => "0" },
  ],

  "sources" => {
    "protocol"    => "http",
    "server"      => "packages.inconcertcc.com",
    "repo"        => "debian",
    "module"      => "squeeze64",
    "limit_net"   => "127.0.0.0"
  },
  "iptables" => {
    #"RuleX" => "-A something -i bleth1 -j FOOBAR"
  }

}

if node["platform"] == "debian" then
  node.default["inconcert"]["sysctl"] = {
    "net.netfilter.nf_conntrack_max"                          => "500000",
    "net.ipv4.tcp_fin_timeout"                                => "15",
    "net.ipv4.netfilter.ip_conntrack_generic_timeout"         => "60",
    "net.ipv4.netfilter.ip_conntrack_tcp_timeout_fin_wait"    => "60",
    "net.ipv4.netfilter.ip_conntrack_tcp_timeout_time_wait"   => "60",
    "net.ipv4.netfilter.ip_conntrack_tcp_timeout_established" => "432000",
    "net.core.somaxconn"                    => "1024"
  }
else
  if node["platform"] == "ubuntu" then  
    node.default["inconcert"]["sysctl"] = {
      "net.netfilter.nf_conntrack_max"                          => "500000",
      "net.ipv4.tcp_fin_timeout"                                => "15",
      "net.core.somaxconn"                    => "1024"
    }
  end
end

node['roles'].each do |rol|
  if rol == "cluster_node_nocassandra" then
    node.default["inconcert"]["no_cassandra"] = true
  end
end


