
#
# ONLY RUN ONCE in the fist node
#

# FIXME when migrations are available we use them and forget about this stuff.

bash "init cassandra schema" do
  cwd  "/usr/share/inconcert/cassandra"
  code <<-EOC
    set -e
    cassandra-cli -h #{node.inconcert.cassandra_ip} -f /usr/share/inconcert/cassandra/schema.cassandra
  EOC
  not_if "ls /usr/share/inconcert/cassandra/.bootstrapped"
end

bash "initial data" do
  cwd  "/usr/share/inconcert/helpers/"
  code <<-EOC 
    set -e
    lua /usr/share/inconcert/helpers/initialdata4cassandra.lua #{node.inconcert.cassandra_ip}
  EOC
  not_if "ls /usr/share/inconcert/cassandra/.bootstrapped"
end

bash "tocuh 'init cassandra schema'" do
  cwd "/usr/share/inconcert/cassandra"
  code <<-EOC
    touch .bootstrapped
  EOC
end

bash "configure cluster" do 
  code <<-EOC
    set -e
    cassandra-cli -h #{node.inconcert.cassandra_ip} -f /tmp/cluster-config 
  EOC
  action :nothing
  returns [0, 4]
  ignore_failure true
end

template "/tmp/cluster-config" do 
  source "cluster-config.erb"
  owner "root"
  mode "0600"
  notifies :run, resources(:bash  => "configure cluster"), :immediately
end





