
# 
#  Configures attributes from databags
#

cluster_name  = if node.inconcert.attribute? "cluster_data" then
                  node.inconcert.cluster_data
                else 
                  "default"
                end

cls = data_bag_item( "inconcert_clusters", cluster_name )

if cls then

  nd = (cls["nodes"] || []).select { |n| n["id"] == node.hostname }[0]

  if nd then
    icc_merged = (cls.to_hash).merge({
      "public_ip"         => nd["public_ip"],
      "private_ip"        => nd["private_ip"],
      "node_public_ip"    => nd["public_ip"],
      "nic"               => nd["nic"] || (cls.include?("nic") ? cls["nic"] : node.network.default_interface),
      "config_ip"         => nd["config_ip"] || nd["private_ip"]
    })
  else
    icc_merged = cls.to_hash
  end

  node.override[ "inconcert" ] = node.inconcert.deep_merge(icc_merged)

  node.override["keepalived"] = {
    "virtual_ip" => cls["virtual_ip"]
  }

  nginx = (cls["nginx"] || {})
  if nginx.size > 0 then
    node.override["nginx"] = node.nginx.deep_merge(nginx)
  end

  redis = (cls["redis"] || {})
  if redis.size > 0 then
    node.override["redis"] = node.redis.deep_merge(redis)
  end

end

