
#
# ONLY RUN ONCE in the fist node
#

# FIXME when migrations are available we use them and forget about this stuff.
include_recipe "apt"

bash "multimedia" do
  user    "root"
  cwd     "/tmp"
  code  <<-EOH
    apt-get -q -y --force-yes install deb-multimedia-keyring
  EOH
end

execute "packages update check" do
  command "ls"
  notifies :run, resources(:execute => "apt-get update"), :immediately
end

if node["platform"] == "debian" then
	bash "ffmpeg" do
	  user    "root"
	  cwd     "/tmp"
	  code  <<-EOH
		apt-get -q -y --force-yes install ffmpeg
	  EOH
	end
else
	#desinstalo paquete ffmpeg
	bash "Unistall ffmpeg" do
	  user    "root"
	  cwd     "/tmp"
	  code  <<-EOH
		dpkg --remove --force-remove-reinstreq ffmpeg
	  EOH
	end
	package "icc-ffmpeg" do
		# force yes is a hack because I do not have a signed repo.
		options '-o Dpkg::Options::="--force-confnew"'
	end
end