#Instalo node exporter ====================================================
bash "[NODE_EXPORTER] Download node_exporter-1.3.1" do
  user    "root"
  cwd     "/tmp"
  code  <<-EOH
    wget -q http://#{node.inconcert.sources.server}/repo/node_exporter-1.3.1.linux-amd64.tar.gz -O /tmp/node_exporter-1.3.1.linux-amd64.tar.gz
  EOH
  not_if "ls /etc/prometheus_exporters/node_exporter/node_exporter"
end

bash "[NODE_EXPORTER] Install node_exporter-1.3.1" do
  user    "root"
  cwd     "/tmp"
  code  <<-EOH
    tar -xvzf node_exporter-1.3.1.linux-amd64.tar.gz
    mkdir -p /etc/prometheus_exporters/node_exporter
    cp -r node_exporter-1.3.1.linux-amd64/* /etc/prometheus_exporters/node_exporter/
    rm -f node_exporter-1.3.1.linux-amd64.tar.gz
    rm -rf node_exporter-1.3.1.linux-amd64
  EOH
  not_if "ls /etc/prometheus_exporters/node_exporter/node_exporter"
end

cookbook_file "/etc/systemd/system/node_exporter.service" do
  source "node_exporter.service"
  owner   "root"
  group   "root"
  mode    "0644"
end

bash "[NODE_EXPORTER] add to system service" do
  user    "root"
  cwd "/"
  code <<-EOC
    systemctl daemon-reload
    systemctl enable node_exporter
    systemctl start node_exporter  
  EOC
end


#Instalo pushgateway ====================================================
bash "[PUSHGATEWAY] Download pushgateway-1.4.2" do
  user    "root"
  cwd     "/tmp"
  code  <<-EOH
    wget -q http://#{node.inconcert.sources.server}/repo/pushgateway-1.4.2.linux-amd64.tar.gz -O /tmp/pushgateway-1.4.2.linux-amd64.tar.gz
  EOH
  not_if "ls /etc/prometheus_exporters/pushgateway/pushgateway"
end

bash "[PUSHGATEWAY] Install pushgateway-1.4.2" do
  user    "root"
  cwd     "/tmp"
  code  <<-EOH
    tar -xvzf pushgateway-1.4.2.linux-amd64.tar.gz
    mkdir -p /etc/prometheus_exporters/pushgateway
    cp -r pushgateway-1.4.2.linux-amd64/* /etc/prometheus_exporters/pushgateway
    rm -f pushgateway-1.4.2.linux-amd64.tar.gz
    rm -rf pushgateway-1.4.2.linux-amd64
  EOH
  not_if "ls /etc/prometheus_exporters/node_exporter/pushgateway"
end

cookbook_file "/etc/systemd/system/pushgateway.service" do
  source "pushgateway.service"
  owner   "root"
  group   "root"
  mode    "0644"
end

bash "[PUSHGATEWAY] add to system service" do
  user    "root"
  cwd "/"
  code <<-EOC
    systemctl daemon-reload
    systemctl enable pushgateway
    systemctl start pushgateway  
  EOC
end

cookbook_file "/etc/prometheus_exporters/pushgateway/process-top" do
  source "process-top"
  owner   "root"
  group   "root"
  mode    "0744"
end

cookbook_file "/etc/prometheus_exporters/pushgateway/push_top.sh" do
  source "push_top.sh"
  owner   "root"
  group   "root"
  mode    "0744"
end

cookbook_file "/etc/systemd/system/pushtop.service" do
  source "pushtop.service"
  owner   "root"
  group   "root"
  mode    "0644"
end

bash "[PUSHGATEWAY] add to push top" do
  user    "root"
  cwd "/"
  code <<-EOC
    systemctl daemon-reload
    systemctl enable pushtop
    systemctl start pushtop
  EOC
end

# instala SNMP exporter
bash "[SNMP exporter] Download snmp_exporter-0.21.0" do
  user    "root"
  cwd     "/tmp"
  code  <<-EOH
    wget -q http://#{node.inconcert.sources.server}/repo/snmp_exporter-0.21.0.linux-amd64.tar.gz -O /tmp/snmp_exporter-0.21.0.linux-amd64.tar.gz
  EOH
  not_if "ls /etc/prometheus_exporters/snmp_exporter/snmp_exporter"
end

bash "[SNMP exporter] Install snmp_exporter-0.21.0" do
  user    "root"
  cwd     "/tmp"
  code  <<-EOH
    tar -xvzf snmp_exporter-0.21.0.linux-amd64.tar.gz
    mkdir -p /etc/prometheus_exporters/snmp_exporter
    cp -r snmp_exporter-0.21.0.linux-amd64/* /etc/prometheus_exporters/snmp_exporter
    rm -f snmp_exporter-0.21.0.linux-amd64.tar.gz
    rm -rf snmp_exporter-0.21.0.linux-amd64
  EOH
  not_if "ls /etc/prometheus_exporters/snmp_exporter/snmp_exporter"
end

cookbook_file "/etc/prometheus_exporters/snmp_exporter/snmp.yml" do
  source "snmp.yml"
  owner   "root"
  group   "root"
  mode    "0644"
end

cookbook_file "/etc/systemd/system/snmp_exporter.service" do
  source "snmp_exporter.service"
  owner   "root"
  group   "root"
  mode    "0644"
end

bash "[SNMP exporter] add service to system" do
  user    "root"
  cwd "/"
  code <<-EOC
    systemctl daemon-reload
    systemctl enable snmp_exporter
    systemctl start snmp_exporter  
  EOC
end
