
#
# configure  keystore
# 


# FIXME make this an attribute. make attribute change config.
cookbook_file "/etc/inconcert/keys/keystore" do
  source "keys/keystore"
  owner "root"
  mode "0600"
  action :create_if_missing
end

cookbook_file "/etc/inconcert/keys/keystore.pub" do
  source "keys/keystore.pub"
  owner "root"
  mode "0600"
  action :create_if_missing
end

cookbook_file "/etc/inconcert/keys/validation" do
  source "keys/validation"
  owner "root"
  mode "0600"
  action :create_if_missing
end

cookbook_file "/etc/inconcert/keys/validation.pub" do
  source "keys/validation.pub"
  owner "root"
  mode "0600"
  action :create_if_missing
end

bash "add node to keystore" do
  cwd "/usr/share/inconcert/helpers/keystore"  
  code <<-EOC 

    # break on first error
    set -e

    . /etc/inconcert/inconcert.conf
    . /etc/inconcert/network.conf

    #Node keys
    lua createKeys.lua -k $KEYSTORE_KEYS$NODE_PRIVATE_KEY -q $KEYSTORE_KEYS$NODE_PUBLIC_KEY

    #register the local node.
    lua addKnownPublicKey.lua -k $KEYSTORE_KEYS$VALIDATION_KEY --nodeId $(hostname) -r $REDIS_IP -c $KEYSTORE_KEYS$NODE_PUBLIC_KEY
    
    touch .bootstrapped

  EOC
  not_if "ls /usr/share/inconcert/helpers/keystore/.bootstrapped"
end


