
package "mysql-server"

template "/etc/inconcert/sitemonitor.xml" do
  source  "sitemonitor.xml.erb"
  owner   "root"
  group   "root"
  mode    "0644"
end

template "/etc/odbc.ini" do 
  source  "odbc.ini.erb"
  owner   "root"
  group   "root"
  mode    "0644"
end

template "/etc/odbcinst.ini" do
  source  "odbcinst.ini.erb"
  owner   "root"
  group   "root"
  mode    "0644"
end


bash "create schema" do 
  user  "root"
  cwd   "/usr/share/inconcert/sitemonitor/mysql"
  code  "mysql < tables.sql"
end

bash "create procedures" do 
  user  "root"
  cwd   "/usr/share/inconcert/sitemonitor/mysql"
  code  "mysql < procedures.sql"
end

bash "insert initial data" do 
  user  "root"
  cwd   "/usr/share/inconcert/sitemonitor/mysql"
  code  "mysql < inserts.sql"
end

bash "create default user" do 
  user  "root"
  cwd   "/usr/share/inconcert/sitemonitor/mysql"
  code  "mysql < createuser.sql"
end

bash "install services" do 
  code <<-EOC
    update-service --add /etc/inconcert/sv/configserver
    update-service --add /etc/inconcert/sv/sitemonitor
    update-service --add /etc/inconcert/sv/livemonitor
  EOC
end



