
#
# ONLY RUN ONCE in the fist node
#

# FIXME when migrations are available we use them and forget about this stuff.
include_recipe "apt"

if node["platform"] == "ubuntu" then
	if node["platform_version"].start_with? "18" then
		bash "msodbcsql17" do
		  user    "root"
		  cwd     "/tmp"
		  code  <<-EOH
			curl https://packages.microsoft.com/keys/microsoft.asc | sudo apt-key add -
			echo "deb [arch=amd64] https://packages.microsoft.com/ubuntu/18.04/prod bionic main" | sudo tee /etc/apt/sources.list.d/mssql-release.list
		  EOH
		end
	end
	if node["platform_version"].start_with? "22" then
		bash "msodbcsql17" do
		  user    "root"
		  cwd     "/tmp"
		  code  <<-EOH
			curl https://packages.microsoft.com/keys/microsoft.asc | sudo apt-key add -
			echo "deb [arch=amd64] https://packages.microsoft.com/ubuntu/22.04/prod jammy main" | sudo tee /etc/apt/sources.list.d/mssql-release.list
		  EOH
		end
	end
		
end

execute "packages update check" do
  command "ls"
  notifies :run, resources(:execute => "apt-get update"), :immediately
end

bash "msodbcsql17" do
  user    "root"
  cwd     "/tmp"
  code  <<-EOH
	ACCEPT_EULA=Y apt-get -q -y --force-yes -o Dpkg::Options::="--force-confnew" install msodbcsql17
  EOH
end

bash "inconcert_odbc" do
  user    "root"
  cwd     "/tmp"
  code  <<-EOH
	mkdir --parents /usr/lib/inconcert_odbc
  EOH
end

if node["platform"] == "ubuntu" then
	bash "ln_msodbcsql17" do
	  user    "root"
	  cwd     "/tmp"
	  code  <<-EOH
		ln -s /usr/lib/libmsodbcsql-17.so /usr/lib/inconcert_odbc/libmsodbcsql-17.so -f
	  EOH
	end
else
	bash "ln_msodbcsql17" do
	  user    "root"
	  cwd     "/tmp"
	  code  <<-EOH
		ln -s /usr/lib64/libmsodbcsql-17.so /usr/lib/inconcert_odbc/libmsodbcsql-17.so -f
	  EOH
	end
end
