
#
# ONLY RUN ONCE in the fist node
#

# FIXME when migrations are available we use them and forget about this stuff.
include_recipe "apt"

if node["platform"] == "ubuntu" then
	if node["platform_version"].start_with? "18" then
		bash "download mysql connector" do
		  user    "root"
		  cwd     "/tmp"
		  code  <<-EOH
			wget -q http://#{node.inconcert.sources.server}/repo/mysql-connector-odbc-8.0.19-linux-ubuntu18.04-x86-64bit.tar.gz -O /tmp/mysql-connector-odbc-8.0.19-linux-ubuntu18.04-x86-64bit.tar.gz
		  EOH
		end

		bash "install mysql connector" do
		  user    "root"
		  cwd     "/tmp/"
		  code  <<-EOH
			tar -xvzf mysql-connector-odbc-8.0.19-linux-ubuntu18.04-x86-64bit.tar.gz
			mkdir --parents /usr/lib/inconcert_odbc/libmysql8
			cp -rf mysql-connector-odbc-8.0.19-linux-ubuntu18.04-x86-64bit/lib/* /usr/lib/inconcert_odbc/libmysql8
			ln -s /usr/lib/inconcert_odbc/libmysql8/libmyodbc8w.so /usr/lib/inconcert_odbc/libmyodbc.so -f
			mysql-connector-odbc-8.0.19-linux-ubuntu18.04-x86-64bit/bin/myodbc-installer -d -a -n "MySQL" -t "DRIVER=/usr/lib/inconcert_odbc/libmysql8/libmyodbc8w.so;"
		  EOH
		end
	end
	if node["platform_version"].start_with? "22" then
		bash "download mysql connector" do
		  user    "root"
		  cwd     "/tmp"
		  code  <<-EOH
			wget -q http://#{node.inconcert.sources.server}/repo/mysql-connector-odbc_8.0.32-1ubuntu22.04_amd64.tar.gz -O /tmp/mysql-connector-odbc_8.0.32-1ubuntu22.04_amd64.tar.gz
		  EOH
		end

		bash "install mysql connector" do
		  user    "root"
		  cwd     "/tmp/"
		  code  <<-EOH
			tar -xvzf mysql-connector-odbc_8.0.32-1ubuntu22.04_amd64.tar.gz
			mkdir --parents /usr/lib/inconcert_odbc/libmysql8
			cp -rf mysql-connector-odbc_8.0.32-1ubuntu22.04_amd64/* /usr/lib/inconcert_odbc/libmysql8/
			ln -s /usr/lib/inconcert_odbc/libmysql8/libmyodbc8w.so /usr/lib/inconcert_odbc/libmyodbc.so -f
			/usr/lib/inconcert_odbc/libmysql8/myodbc-installer -d -a -n "MySQL" -t "DRIVER=/usr/lib/inconcert_odbc/libmysql8/libmyodbc8w.so;"
		  EOH
		end
	end
else
	bash "download mysql connector" do
	  user    "root"
	  cwd     "/tmp"
	  code  <<-EOH
		wget -q http://#{node.inconcert.sources.server}/repo/mysql-connector-odbc-5.3.13-linux-debian8-x86-64bit.tar.gz -O /tmp/mysql-connector-odbc-5.3.13-linux-debian8-x86-64bit.tar.gz
	  EOH
	end

	bash "install mysql connector" do
	  user    "root"
	  cwd     "/tmp/"
	  code  <<-EOH
		tar -xvzf mysql-connector-odbc-5.3.13-linux-debian8-x86-64bit.tar.gz
		mkdir --parents /usr/lib/inconcert_odbc/libmysql5
		cp -rf mysql-connector-odbc-5.3.13-linux-debian8-x86-64bit/lib/* /usr/lib/inconcert_odbc/libmysql5
		ln -s /usr/lib/inconcert_odbc/libmysql5/libmyodbc5w.so /usr/lib/inconcert_odbc/libmyodbc.so -f
		mysql-connector-odbc-5.3.13-linux-debian8-x86-64bit/bin/myodbc-installer -d -a -n "MySQL" -t "DRIVER=/usr/lib/inconcert_odbc/libmysql5/libmyodbc5w.so;"
	  EOH
	end
end
