include_recipe "nginx::default"


#
# make helper methods available inside bash script resources.
#
class Erubis::Context
  include Inconcert::GenericHelpers
  include Inconcert::ServiceHelpers
end

cookbook_file "#{node.nginx.prefix}/ssl/server.key" do
  source "server.key"
  mode "0644"
  notifies :run, "bash[reload nginx]"
end

cookbook_file "#{node.nginx.prefix}/ssl/server.pem" do
  source "server.pem"
  mode "0644"
  notifies :run, "bash[reload nginx]"
end

# FIXME delete as soon as chat can be configured
bash "move genericAvatar" do
  user "root"
  cwd "/"
  code "cp /usr/lib/inconcert/agent/inconcert/apps/agent/images/genericAvatar.png /opt/nginx/html/"
end

# FIXME MAKE THIS AN LWR in the nginx cookbook
template "#{node.nginx.prefix}/sites/i6host.conf" do
  source "i6host.conf.erb"
  owner "root"
  group "root"
  mode 0644
  notifies :run, "bash[reload nginx]"
end

