
#
# ONLY RUN ONCE in the fist node
#

# FIXME when migrations are available we use them and forget about this stuff.
include_recipe "apt"

#Operating System Identification
ubuntuDistro="UbuntuBionic"
if node["platform_version"].start_with? "22" then
	ubuntuDistro="UbuntuJammy"
end

#Seteo variables de entorno para que se descarguen los paquetes desde los repo locales.
bash "Set pip source repo" do
  user    "root"
  cwd     "root"
  code  <<-EOH
	echo [easy_install] > ~/.pydistutils.cfg
	echo index-url=http://#{node.inconcert.sources.server}/repo/#{ubuntuDistro}/ >> ~/.pydistutils.cfg
  EOH
end

#Instalación de RASA - X
if ubuntuDistro=="UbuntuBionic" then
#O.S. UbuntuBionic

	execute "packages update check" do
	  command "ls"
	  notifies :run, resources(:execute => "apt-get update"), :immediately
	end

	package "build-essential" do 
		options '--force-yes -o Dpkg::Options::="--force-confnew" '
	end 

	package "autoconf" do 
		options '--force-yes -o Dpkg::Options::="--force-confnew" '
	end 

	package "libtool" do 
		options '--force-yes -o Dpkg::Options::="--force-confnew" '
	end 

	package "python3-dev" do 
		options '--force-yes -o Dpkg::Options::="--force-confnew" '
	end 

	package "python3-pip" do 
		options '--force-yes -o Dpkg::Options::="--force-confnew" '
	end 

	# Paquete python3 ================================================================
	# package "python3" do
	  # # force yes is a hack because I do not have a signed repo.
	  # options '--force-yes -o Dpkg::Options::="--force-confnew" '
	#end
	# package "python3-dev" do
	  # # force yes is a hack because I do not have a signed repo.
	  # options '--force-yes -o Dpkg::Options::="--force-confnew" '
	#end
	# package "python3-pip" do
	  # # force yes is a hack because I do not have a signed repo.
	  # options '--force-yes -o Dpkg::Options::="--force-confnew" '
	#end
	
	bash "Packages pip" do
	  user    "root"
	  cwd     "root"
	  code  <<-EOH
		pip3 install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/#{ubuntuDistro}/ pip==20.2.4
	  EOH
	end
	
	bash "Packages setuptools" do
	  user    "root"
	  cwd     "root"
	  code  <<-EOH
		pip3 install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ setuptools
	  EOH
	end
	# Paquete gast ================================================================
	#pip install gast==0.2.2
	bash "Packages pytz" do
	  user    "root"
	  cwd     "root"
	  code  <<-EOH
		pip install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ gast  
	  EOH
	end
	# Paquete pytz ================================================================
	#pip install --user pytz==2019.1
	bash "Packages pytz" do
	  user    "root"
	  cwd     "root"
	  code  <<-EOH
		pip install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ --user pytz==2019.1    
	  EOH
	end

	bash "Packages redis" do
	  user    "root"
	  cwd     "root"
	  code  <<-EOH   
		pip install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} http://#{node.inconcert.sources.server}/repo/UbuntuBionic/redis-ubuntu/redis-3.5.3-py2.py3-none-any.whl
	  EOH
	end

	#pip install tensorflow
	bash "Packages tensorflow" do
	  user    "root"
	  cwd     "root"
	  code  <<-EOH   
		pip install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ tensorflow
	  EOH
	end

	bash "Packages rasa-x" do
	  user    "root"
	  cwd     "root"
	  code  <<-EOH
		pip3 install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ rasa-x
	  EOH
	end
	
elsif ubuntuDistro=="UbuntuJammy" then
	#O.S. UbuntuJammy
	bash "Install deadsnakes" do
		user    "root"
	  	cwd     "root"
	  	code  <<-EOH
			add-apt-repository ppa:deadsnakes/ppa -y
	  	EOH
	  	not_if "ls /etc/apt/sources.list.d/deadsnakes-ubuntu-ppa-jammy.list"
	end
	bash "Update repositories" do
		user    "root"
	  	cwd     "root"
	  	code  <<-EOH
			apt-get update
	  	EOH
	end
	bash "Install python2" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			apt install python2 -y
		EOH
	end
	bash "Install python3" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			apt install python3.8 -y
		EOH
	end
	#Para que funque el apt-get update
	bash "Install python-apt" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			apt install python3-apt -y
		EOH
	end
	bash "install Python dev - pip" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			apt install python3.8-dev python3-pip -y
		EOH
	end
	bash "Install libxmlsec1" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			apt install libxmlsec1-dev pkg-config -y
		EOH
	end
	bash "Install Python distutils 3.8" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			apt install python3.8-distutils -y
		EOH
	end
	bash "Install Pip" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			python3.8 -m pip install -U pip==22.0.4
		EOH
	end
	bash "Install Tensorflow" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			python3.8 -m pip install tensorflow
		EOH
	end
	bash "Install libpq-dev" do
		user    "root"
	  	cwd     "root"
	  	code  <<-EOH
			apt install -y libpq-dev
		EOH
	end
	bash "Install python3-cffi" do
		user    "root"
	  	cwd     "root"
	  	code  <<-EOH
			apt install -y  python3-cffi
	  	EOH
	end
	bash "Update pip version" do
		user    "root"
	  	cwd     "root"
	  	code  <<-EOH
			python3.8 -m pip install -U pip
	  	EOH
	end
	bash "Upgrade pip setuptools" do
	  	user    "root"
	  	cwd     "root"
	  	code  <<-EOH
	  		python3.8 -m pip install --upgrade setuptools
	  	EOH
	end
	bash "Install rasa 2.4.3" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			python3.8 -m pip install rasa==2.4.3 
		EOH
	  end
	bash "Install rasa-x" do
		user    "root"
		cwd     "root"
		code  <<-EOH
			python3.8 -m pip install rasa-x==0.38.1 -i https://pypi.rasa.com/simple
	  	EOH
	end
end