if node["platform"] == "ubuntu" then
	package "ifupdown"
end
directory "/etc/inconcert/iptables/" do
  recursive true
  owner  "root"
  mode   "0700"
  action :create
end

directory "/etc/inconcert/iptables/templates" do
  recursive true
  owner  "root"
  mode   "0700"
  action :create
end

#Rules Custom. Solo se copia si el archivo no existe.
cookbook_file "/etc/inconcert/iptables/iptables.rules.custom" do
  owner "root"
  mode "0755"
  not_if "ls /etc/inconcert/iptables/iptables.rules.custom"
end

#Para habilitar las IPs de la Oficina
cookbook_file "/etc/inconcert/iptables/iptables.filtrado.oficinas" do
  owner "root"
  mode "0755"
end

#Archivos Templates con filtrado por paises
cookbook_file "/etc/inconcert/iptables/templates/iptables.filtrado.es" do
  owner "root"
  mode "0755"
end
cookbook_file "/etc/inconcert/iptables/templates/iptables.filtrado.mx" do
  owner "root"
  mode "0755"
end
cookbook_file "/etc/inconcert/iptables/templates/iptables.filtrado.pe" do
  owner "root"
  mode "0755"
end
cookbook_file "/etc/inconcert/iptables/templates/iptables.filtrado.py" do
  owner "root"
  mode "0755"
end
cookbook_file "/etc/inconcert/iptables/templates/iptables.filtrado.usa" do
  owner "root"
  mode "0755"
end
cookbook_file "/etc/inconcert/iptables/templates/iptables.filtrado.uy" do
  owner "root"
  mode "0755"
end


template "/etc/inconcert/iptables/iptables.rules.sh" do
  owner "root"
  mode "0755"
  notifies :run, "bash[restore iptables]"
end

bash "restore iptables" do
  cwd "/etc/inconcert/iptables/"
  code "./iptables.rules.sh"
  only_if "ls /etc/inconcert/iptables/iptables.rules.sh"
  action :nothing
end

cookbook_file "/etc/network/if-up.d/iptables" do
  owner "root"
  mode "0755"
  notifies :run, "bash[restore iptables]"
end




