
#
# Hides utility functions in a module.
#   To use, include the module in the innermost scope to keep polution down, if you please.
#
module NginxHelpers

  #
  # Takes an array of module paths and returns a string with
  #   the -add-module configure directives for every module.
  #
  def build_modules_list( mods_array )
    prefix  = "--add-module"
    mods_array.inject("") { |list, mod| list << "#{prefix}=#{mod} "; list }
  end

end


