#
# Cookbook Name:: nginx
# Recipe:: default
#
# Copyright 2011, inConcert
#
# All rights reserved - Do Not Redistribute

#
# FIXME no usamos mas sources. borrar todo lo relacionado con compilar.
# FIXME definir el servicio para poder notificar y detener desde otros cookbooks.
#

#download nginx and decompress the sources.
# WARNING in the future this will be removed and downloading should be
# =>      done explicitly.

# include_recipe "nginx::obtain_nginx"

#
# make NginxHelpers methods available inside bash script resources.
#
class Chef::Resource::Bash
  include NginxHelpers
end

#
# make NginxHelpers methods available inside templates.
#
class Erubis::Context
  include NginxHelpers
end

cookbook_file "/etc/logrotate.d/nginx" do
  source "nginx-logrotate"
  owner "root"
end

if node["platform"] == "ubuntu" then
	package "icc-nginx" do
	  version node.nginx.version
	  options '--force-yes -o Dpkg::Options::="--force-confold" -o Dpkg::Options::="--force-confmiss"'   # this is a hack because I do not have a signed repo.
	end
else
	#fijo la version de debian porque ya no va a cambiar
	package "icc-nginx" do
	  version "1.21.3-1"
	  options '--force-yes -o Dpkg::Options::="--force-confold" -o Dpkg::Options::="--force-confmiss"'   # this is a hack because I do not have a signed repo.
	end

end

template "#{node.nginx.prefix}/conf/nginx.conf" do
  owner "root"
  group "root"
  mode  "0664"
  source "nginx.conf.erb"
  notifies :run, "bash[reload nginx]"
end

cookbook_file "/opt/nginx/html/custom_error.html" do
  source "custom_error.html"
  owner "root"
  group "root"
  mode  "0664"
end

directory "#{node.nginx.prefix}/sites/" do
  owner "root"
  mode 0776
  recursive true
end

directory "#{node.nginx.prefix}/ssl/" do
  owner "root"
  mode 0776
  recursive true
end

directory "#{node.nginx.prefix}/sv" do
  owner "root"
  mode 0776
  recursive true
end

runit_service "nginx" do
  action    :nothing
  directory "#{node.nginx.prefix}/sv"
  log       false
end

bash "reload nginx" do
  user "root"
  code "sv hup nginx"
  action :nothing
end


