name        "cluster_initial_node"
description "An i6 cluster node"

run_list [
  "role[cluster_node]",
  "recipe[i6::cassandra]",
  "recipe[i6::cleanupdata]",
  "recipe[i6::updatetimezones]"
  #"role[keepalived_master_node]"
]

override_attributes "inconcert" => {
  "virtual_name"    => "i6Cluster",
  "initial_node"    => true
}

override_attributes "keepalived" => {
  "instances"   => [
      {
        "state"                     => "MASTER",
        "priority"                  => 255,
        "advert_int"                => 1,
        "track_script"              => "chk_http_port",
        "virtual_router_id"         => 51
      }
    ],
    "commands"    => [
      {
        "name"      => "chk_http_port",
        "script"    => "/etc/keepalived/nginx-keepalive",
        "interval"  =>  2,
        "weight"    =>  2
      }
    ],
  "check_url" 	=> "http://localhost/index.html",
  "extrafiles" 	=> { "nginx-keepalive.erb" => "/etc/keepalived/nginx-keepalive" }
},

"nginx" => {
  "ssl" =>  {
    "key" => "/opt/nginx/ssl/server.key",
    "pem" => "/opt/nginx/ssl/server.pem"
  },
  "sites" => { "i6host" => "i6host" }
}


