name        "cluster_node"
description "An i6 cluster node"

run_list [
  "recipe[i6::clusterconfig]",
  "recipe[apt]",
  "recipe[i6::firewall]",
  "recipe[i6]",
  "recipe[redis]",
  "recipe[i6::keystore]",
  "role[cassandra_node]",
  "recipe[i6::bootstrap]",
  "role[nginx_node]",
  #"role[asterisk_node]",
  "recipe[i6::nginx]",
  "recipe[i6::monitor_node]",
  #"role[keepalived_node]"
  "recipe[i6::rasa_lib_fix]"
]

override_attributes "inconcert" => {
  "virtual_name"    => "i6Cluster",
  "leader_node"     => false
}

override_attributes "keepalived" => {
  "instances"   => [
      {
        "state"                     => "BACKUP",
        "priority"                  => 100,
        "advert_int"                => 1,
        "track_script"              => "chk_http_port",
        "virtual_router_id"         => 51
      }
    ],
    "commands"    => [
      {
        "name"      => "chk_http_port",
        "script"    => "/etc/keepalived/nginx-keepalive",
        "interval"  =>  2,
        "weight"    =>  2
      }
    ],
    "check_url" 	=> "http://localhost/index.html",
    "extrafiles" 	=> { "nginx-keepalive.erb" => "/etc/keepalived/nginx-keepalive" }
  },

  "nginx" => {
    "ssl" =>  {
      "key" => "/opt/nginx/ssl/server.key",
      "pem" => "/opt/nginx/ssl/server.pem"
    },
    "sites" => { "i6host" => "i6host" },
    "log_level" => "info"
  }
